//
// Below, functions for resource search and modification
//

function to_rcdetail(f)
{
    if(validate_onlyone_rc_checked(f) > 0){
        f.submit();
    }
    else{
        onlyone_rc_checked_validate_errmsg();
    }
}

function validate_onlyone_rc_checked (f)
{
    var checked = 0;

    for ( var i = 0 ; i < f.elements.length ; ++i ) {
        var match = /.+\.choice.+/.test(f.elements[i].name);

        if(match == true && f.elements[i].checked){
            checked++;
        }
    }

    if(checked > 1 || checked == 0){
        return false;
    }
    else{
        return true;
    }
}

function onlyone_rc_checked_validate_errmsg()
{
    alert('You should check exactly one resource from the list');
}


//
// Below, functions for resource search and removal
//
/*
function to_rcremove(f)
{
    if(validate_atleastone_rc_checked(f) > 0){
        var msg = "Are you sure you want to do this? ";
        if (confirm(msg)){ 
            f.submit();
        }
        else{
            f.mode.value = "select";
        }
    }
    else{
        atleastone_rc_checked_validate_errmsg();
    }
}
*/
function validate_atleastone_rc_checked (f)
{
    var checked = 0;
    
    for ( var i = 0 ; i < f.elements.length ; ++i ) {
        var match = /.+\.choice.+/.test(f.elements[i].name);

        if(match == true && f.elements[i].checked){
            checked++;
        }
    }

    if(checked == 0){
        alert('You should check at least one resource from the list to remove');
        return false;
    }
    else{
        var msg = "Are you sure you want to do this? ";
        if (confirm(msg)){
            f.mode.value = "removerc"; 
            return true;
        }
        
        return false;
    }
}
/*
function atleastone_rc_checked_validate_errmsg()
{
    alert('You should check at least one resource from the list to remove');
}
*/

//
// Below, functionc to validate the cluster modification
//

function to_rccommit (f)
{
    if(validate_rcdetail(f) > 0){
        f.submit();
    }
    else{
        rcdetail_validate_errmsg();
    }
}

function validate_rcdetail (f)
{
    var checked = 0;

    if(f.clstname.value.length == 0){
        return false;
    }
    else if(f.nNode.value.length == 0){
        return false;
    }
    else if(f.head.value.length == 0){
        return false;
    }
    else if(f.headip.value.length == 0){
        return false;
    }
    
    return true;
}

function rcdetail_validate_errmsg()
{
    alert('Empty string is not allowed');
}



//
// Below, functionc to validate the node modification
//

function to_rccommit_node (f)
{
    if(validate_rcdetail_node(f) > 0){
        f.submit();
    }
    else{
        rcdetail_validate_errmsg();
    }
}

function validate_rcdetail_node (f)
{
    var checked = 0;

    if(f.nodename.value.length == 0){
        return false;
    }
    else if(f.domain.value.length == 0){
        return false;
    }
    else if(f.headip.value.length == 0){
        return false;
    }
    
    return true;
}

function rcdetail_validate_errmsg()
{
    alert('Empty string is not allowed');
}


//
// Below, functionc to validate the node modification
//

function to_rccommit_manager (f)
{
    if(validate_rcdetail_manager(f) > 0){
        f.submit();
    }
    else{
        rcdetail_validate_errmsg();
    }
}

function validate_rcdetail_manager (f)
{
    var checked = 0;

    if(f.head.value.length == 0){
        return false;
    }
    else if(f.headip.value.length == 0){
        return false;
    }
    
    return true;
}

//
// Below, functions to register a new resource
//
function to_rcsave(f)
{
    f.mode.value = "savenewrc";
    f.submit();
}





//
// Below, functions for popup window for terms description 
//

function popup(url)
{
    var aPopup = window.open(url, 'name', 'height=300,width=350,scrollbars=yes');
    if(window.focus){
        aPopup.focus();
    }
    
    return false;
}

function popup_swinfo(url)
{
    var aPopup = window.open(url, 'swname', 'height=300,width=350,scrollbars=yes');
    if(window.focus){
        aPopup.focus();
    }
    
    return false;
}



//
// test function
//
function sayhello()
{
    alert('hello');
}


