# 
# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

use strict;
use CGI qw(:standard);
use CGI::Carp;
use Cwd;
use Data::Dumper;
use PerlDB;
use show_rc_select;
use show_rc_remove;

my $cgi = new CGI;

print $cgi->header();
print $cgi->start_html(-title=>'XJD creation page',
                       -author=>'iyoon@cs.umd.edu',
                       -base=>'true',
                       -meta=>{'copyright'=>'copyright 2005 University of Maryland, College Park'},
                       -script=>{-language=>'JAVASCRIPT',
                                 -src=>"https://$ENV{APACHE_SERVER}:$ENV{APACHE_PORT}/HPCALE_REPMAN/rcutil.js"}
                       );

if(! defined $cgi->param('mode')){
    (new show_rc_select)->showContents ($cgi) ;
}
elsif($cgi->param('mode') eq "select"){
    (new show_rc_select)->showContents ($cgi) ;
}
elsif($cgi->param('mode') eq "removerc"){
    (new show_rc_remove)->showContents ($cgi) ;
}

