#
# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

package show_rccommit;

use PerlDB;
use utilfunc;
use Data::Dumper;
use strict;

sub new {
    my $classname  = shift;         # What class are we constructing?
    my $self   = {};                # Allocate new memory
    bless($self, $classname);       # Mark it of the right type
    return $self;
}

sub showContents {
    my $self = shift;
    my $cgi = shift;
        
    print "<center>".$cgi->h1('Resource Modification Result')."</center>";

    #&utilfunc::print_params($cgi);

    my $rctype = $cgi->param('rctype');
    my $result = -1;
    if($rctype eq "cluster"){
        $result = &utilfunc::saveCluster($cgi);
    }
    elsif($rctype eq "node"){
        $result = &utilfunc::saveNode($cgi);
    }
    elsif($rctype eq "manager"){
        $result = &utilfunc::saveManager($cgi);
    }
    
    if($result == 1){
        print $cgi->h3('Resource modification is reflected normally.');
    }
    else{
        print $cgi->h3('Resource modification failed.');
    }
}

1;
