//
// Below, functions for resource search and modification
//

function to_swdetail(f)
{
    if(validate_onlyone_sw_checked(f) > 0){
        f.submit();
    }
    else{
        onlyone_sw_checked_validate_errmsg();
    }
}

function validate_onlyone_sw_checked (f)
{
    var checked = 0;

    for ( var i = 0 ; i < f.elements.length ; ++i ) {
        var match = /.+\.choice.+/.test(f.elements[i].name);

        if(match == true && f.elements[i].checked){
            checked++;
        }
    }

    if(checked > 1 || checked == 0){
        return false;
    }
    else{
        return true;
    }
}

function onlyone_sw_checked_validate_errmsg()
{
    alert('You should check exactly one software from the list');
}




//
// Below, functionc to validate the software modification
//

function to_swcommit (f)
{
    if(validate_swdetail(f) > 0){
        f.submit();
    }
    else{
        swdetail_validate_errmsg(f);
    }
}

function validate_swdetail (f)
{
    var checked = 0;

    if(f.compid.value.length == 0){
        return false;
    }
    else if(f.path.value.length == 0){
        return false;
    }
    else if(f.file.value.length == 0){
        return false;
    }
    else if(f.rcname.value.length == 0){
        return false;
    }
    else if(f.head.value.length == 0){
        return false;
    }
    
    return true;
}

function swdetail_validate_errmsg(f)
{
    if(f.compid.value.length == 0){
        alert('Component ID is missing');
    }
    else if(f.path.value.length == 0){
        alert('Component path is missing');
    }
    else if(f.file.value.length == 0){
        alert('Component file is missing');
    }
    else if(f.rcname.value.length == 0){
        alert('Resource is missing');
    }
    else if(f.head.value.length == 0){
        alert('Resource Manager (Full host name) is missing');
    }
}



//
// Below, functions to register a new software
//
function to_newswsave(f)
{
    if(validate_swdetail(f) > 0){
        f.mode.value = "savenewsw";
        f.submit();
    }
    else{
        swdetail_validate_errmsg(f);
    }
}



// Below, functions for resource search and removal
//

/*
function to_swremove(f)
{
    if(validate_atleastone_sw_checked(f) > 0){
        var msg = "Are you sure you want to do this? ";
        if (confirm(msg)){ 
            f.submit();
        }
        else{
            f.mode.value = "select";
        }
    }
    else{
        atleastone_sw_checked_validate_errmsg();
    }
}
*/

function validate_atleastone_sw_checked (f)
{
    var checked = 0;

    for ( var i = 0 ; i < f.elements.length ; ++i ) {
        var match = /.+\.choice.+/.test(f.elements[i].name);

        if(match == true && f.elements[i].checked){
            checked++;
        }
    }

    if(checked == 0){
        alert('You should check at least one software from the list to remove');
        return false;
    }
    else{
        var msg = "Are you sure you want to do this? ";
        if (confirm(msg)){
            f.mode.value = "removesw"; 
            return true;
        }
        
        return false;
    }
}

/*
function atleastone_sw_checked_validate_errmsg()
{
    alert('You should check at least one software from the list to remove');
}
*/

//
// Below, functions for popup window for terms description 
//

function popup(url)
{
    var aPopup = window.open(url, 'name', 'height=300,width=350,scrollbars=yes');
    if(window.focus){
        aPopup.focus();
    }
    
    return false;
}

function popup_swinfo(url)
{
    var aPopup = window.open(url, 'swname', 'height=300,width=350,scrollbars=yes');
    if(window.focus){
        aPopup.focus();
    }
    
    return false;
}

